cURL
curl --request GET \
--url https://dln.debridge.finance/v1.0/token-listimport requests
url = "https://dln.debridge.finance/v1.0/token-list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dln.debridge.finance/v1.0/token-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": {
"0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd": {
"symbol": "BTC++",
"name": "PieDAO BTC++",
"decimals": 18,
"address": "0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd",
"logoURI": "https://tokens.1inch.io/0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd.png",
"tags": [
"tokens",
"PEG:BTC"
]
}
}
}AppControllerV10
Get v10token list
GET
/
v1.0
/
token-list
cURL
Query Parameters
ID of a chain
Available options:
1, 10, 56, 137, 4663, 8453, 42161, 43114, 59144, 7565164, 100000013, 100000019, 100000022, 100000026, 100000027, 100000029, 100000030, 100000031 Response
200 - application/json
Show child attributes
Show child attributes
Example:
{
"0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd": {
"symbol": "BTC++",
"name": "PieDAO BTC++",
"decimals": 18,
"address": "0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd",
"logoURI": "https://tokens.1inch.io/0x0327112423f3a68efdf1fcf402f6c5cb9f7c33fd.png",
"tags": ["tokens", "PEG:BTC"]
}
}
⌘I